#!/usr/bin/perl
#
# conv_98_00.cgi - conversion utility
# for DCLinks 2000
# Converts DCL98 to DCL2000
#
# Part of DCLinks 2000 Version 1.000
# Release date: Jan 20 2000
#
# Revision History
# DCLinks 1998 Release on 16 November 1997
#
##########  YOU MUST KEEP THIS COPYRIGHTS NOTICE INTACT ###############
# Copyright  1997-2000 DCScripts All Rights Reserved
# As part of the installation process, you will be asked
# to accept the terms of this Agreement. This Agreement is
# a legal contract, which specifies the terms of the license
# and warranty limitation between you and DCScripts and DCLinks.
# You should carefully read the following terms and conditions before
# installing or using this software.  Unless you have a different license
# agreement obtained from DCScripts, installation or use of this software
# indicates your acceptance of the license and warranty limitation terms
# contained in this Agreement. If you do not agree to the terms of this
# Agreement, promptly delete and destroy all copies of the Software.
#
# Versions of the Software 
# --------------------------------------------------------------------------
# You may install as many copies of DCLinks Script for free
# on personal and non-profit sites.  Otherwise, a single license
# of DCLinks is $35 (USD).
# 
# License to Redistribute
# --------------------------------------------------------------------------
# Distributing the software and/or documentation with other products
# (commercial or otherwise) or by other than electronic means without
# DCScripts's prior written permission is forbidden.
#
# All rights to the DCLinks software and documentation not expressly
# granted under this Agreement are reserved to DCScripts.
#
# Disclaimer of Warranty
# THIS SOFTWARE AND ACCOMPANYING DOCUMENTATION ARE PROVIDED "AS IS" AND
# WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER
# WARRANTIES WHETHER EXPRESSED OR IMPLIED.   BECAUSE OF THE VARIOUS HARDWARE
# AND SOFTWARE ENVIRONMENTS INTO WHICH HKDBOARD MAY BE USED, NO WARRANTY OF
# FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.  THE USER MUST ASSUME THE
# ENTIRE RISK OF USING THIS PROGRAM.  ANY LIABILITY OF DCSCRIPTS WILL BE
# LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.
# IN NO CASE SHALL DCSCRIPTS BE LIABLE FOR ANY INCIDENTAL, SPECIAL OR
# CONSEQUENTIAL DAMAGES OR LOSS, INCLUDING, WITHOUT LIMITATION, LOST PROFITS
# OR THE INABILITY TO USE EQUIPMENT OR ACCESS DATA, WHETHER SUCH DAMAGES ARE
# BASED UPON A BREACH OF EXPRESS OR IMPLIED WARRANTIES, BREACH OF CONTRACT,
# NEGLIGENCE, STRICT TORT, OR ANY OTHER LEGAL THEORY. THIS IS TRUE EVEN IF
# DCSCRIPTS IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO CASE WILL
# DCSCRIPT'S LIABILITY EXCEED THE AMOUNT OF THE LICENSE FEE ACTUALLY PAID
# BY LICENSEE TO DCSCRIPTS.
#
###########################################################################

# Define directory path to this file
# Try relative path
$cgidir = "."

# Location of your data file (directory)
$datadir = "$cgidir/Data";

# data file path and name - no need to create it
# Empty file
$datafile = "$datadir/linksdata.txt";

#---------------- DO NOT EDIT BELOW THIS LINE ------#

print "Content-type: text/html\n\n";
print qq~
<html>
<head>
</head>
<body bgcolor="#FFFFFF">
~;

if (-e "$datafile.tmp") {
   print "<h1>ERROR: $datafile.tmp already exists!</h1>\n";
	print qq~
	<b>Chances are, you already ran this program successfully.
	To run this utility again, please first delete your $datafile 
	and then rename $datafile.tmp to $datafile.
	</body>
	</html>
	~;
	exit;
}

open(F,"$datafile");
   @links = <F>;
close(F);
rename("$datafile","$datafile.tmp");
open(F,">$datafile");
foreach (@links) {
   chomp;
	my @temp = split(/\|/,$_);
	push(@temp,"0","");
	my $line = join("\|",@temp);
	print F "$line\n";
}
close(F);

print qq~
<h1>Database conversion is complete!</h1>
</body>
</html>
~;